<CsoundSynthesizer> 
<CsOptions> 
-Wfo SignalFlowGraph2.wav 
</CsOptions> 
<CsInstruments> 

; Initialize the global variables. 

sr 		    = 44100 
ksmps 		= 100 
nchnls 		= 2 

; Connect up instruments and effects to create the signal flow graph. 

connect "SimpleSine",   	    "leftout",     "Reverberator",     	"leftin" 
connect "SimpleSine",   	    "rightout",    "Reverberator",     	"rightin" 

connect "Moogy",        	    "leftout",     "Reverberator",     	"leftin" 
connect "Moogy",        	    "rightout",    "Reverberator",     	"rightin" 

connect "PluckedStringGogins",  "leftout",     "Compressor",     	"leftin" 
connect "PluckedStringGogins",  "rightout",    "Compressor",     	"rightin" 

connect "Reverberator", 	    "leftout",     "Compressor",       	"leftin" 
connect "Reverberator", 	    "rightout",    "Compressor",       	"rightin" 

connect "Compressor",   	    "leftout",     "Soundfile",       	"leftin" 
connect "Compressor",   	    "rightout",    "Soundfile",       	"rightin" 

; Turn on the "effect" units in the signal flow graph. 

alwayson "Reverberator", 0.88, 12000 
alwayson "Compressor" 
alwayson "Soundfile" 

; Define instruments and effects in order of signal flow.

#include "Moogy.ins"
#include "PluckedStringGogins.ins"
#include "SimpleSine.ins"
#include "Effects.ins"

</CsInstruments> 
<CsScore> 

; It is not necessary to activate "effects" or create f-tables in the score! 
; Overlapping notes create new instances of instruments with proper connections. 

i "SimpleSine" 1 5 60 85 
i "SimpleSine" 2 5 64 80 
i "PluckedStringGogins" 3 5 67 75 
i "Moogy" 4 5 71 70 
i "PluckedStringGogins" 5 5 71 79 
e 1 

</CsScore> 
</CsoundSynthesizer> 
